html,
body {
    min-height: 100%;
}
.alert.alert-notification {
    position: fixed;
    top: 10px;
    right: 10px;
    z-index: 99;
    padding-right: 30px;
}
.lato-thin {
    font-family: "Lato", sans-serif;
    font-weight: 100;
    font-style: normal;
}

.lato-light {
    font-family: "Lato", sans-serif;
    font-weight: 300;
    font-style: normal;
}

.lato-regular {
    font-family: "Lato", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.lato-bold {
    font-family: "Lato", sans-serif;
    font-weight: 700;
    font-style: normal;
}

.lato-black {
    font-family: "Lato", sans-serif;
    font-weight: 900;
    font-style: normal;
}

.lato-thin-italic {
    font-family: "Lato", sans-serif;
    font-weight: 100;
    font-style: italic;
}

.lato-light-italic {
    font-family: "Lato", sans-serif;
    font-weight: 300;
    font-style: italic;
}

.lato-regular-italic {
    font-family: "Lato", sans-serif;
    font-weight: 400;
    font-style: italic;
}

.lato-bold-italic {
    font-family: "Lato", sans-serif;
    font-weight: 700;
    font-style: italic;
}

.lato-black-italic {
    font-family: "Lato", sans-serif;
    font-weight: 900;
    font-style: italic;
}

body {
    /*background-image: linear-gradient(to bottom, #cbd4e3, #b2c3e0, #99b2dd, #80a1d9, #6690d5);

    background-image: linear-gradient(to right bottom, #4285f4, #518cf2, #5f92f0, #6b99ed, #779feb, #6ea6ea, #69ace8, #67b1e5, #57b7de, #51bbd4, #58bec7, #66c0ba);

    background-image: linear-gradient(to left top, #5d97f6, #5f9af4, #629df2, #659fef, #69a2ed, #5ea7ec, #55ace9, #50b0e5, #44b6dd, #46bad2, #54bec6, #66c0ba);
    background-color: #eff3ff;
    */

    background: #e8eaec;
    background: #d4e8fa;
    background: linear-gradient(180deg, rgba(212, 232, 250, 1) 0%, rgba(217, 217, 217, 1) 100%);
    background: #d7e1eb;
    font-family: "Lato", sans-serif;
}

.separator-with-text {
    display: flex;
    align-items: center;
    gap: 1rem;
    color: #575757;
    font-weight: 300;
}

.separator-with-text hr {
    flex: 1;
    margin: 0;
    margin-top: 3px;
}

#course-autocomplete {
    position: relative;
    width: 100%;
    max-width: 300px;
}

#course-autocomplete .dropdown-menu {
    margin-top: 5px;
    border-radius: 0.5rem;
    box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075) !important;
    max-height: 400px;
    overflow: auto;
    position: absolute;
    left: 0;
    right: 0;
    width: 100%;
    max-width: 100%;
}

#course-autocomplete .dropdown-item {
    padding: 1rem;
    border-radius: 0.5rem;
    margin: 5px;
    max-width: fit-content;
    white-space: normal;
}

.widget-calendar-wrapper {
    min-width: 300px;
    height: auto;

}

.widget-carousel {
    max-width: 460px;
    overflow-x: auto;
    gap: 1rem;
    margin-top: 1rem;
    display: flex;
}

.widget-test {
    max-width: 415px;
    overflow: hidden;
}

.test-live {
    min-width: 250px;
}

.text-lightgrey {
    color: #6c6c6c;
}

.user-online-box {
    min-width: 220px;
    padding: 1rem;
    gap: 1px;
    border-radius: 0.5rem;
}

.wrapper-home {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
}

.accordion-button {
    border-radius: 0.5rem !important;
}

.dataTables_empty {
    border-bottom-left-radius: 0.5rem;
}

#accordionCourseDetails .accordion-button::after {
    margin-left: 1rem;
}

#accordionCourseDetails .accordion-item {
    border: 0;
    border-radius: 0.5rem;
}

.dropdown-item {
    padding: 1rem;
}

.dropdown-menu {
    border-color: #eaeaea;
}

.user-initials {
    display: flex;
    align-items: center;
    width: 50px;
    height: 50px;
    background-color: #e8e8e8;
    justify-content: center;
    border-radius: 50%;
    margin: auto;
}

.user-online-box {
    border: 1px solid #ececec;
}

.score-widget {
    padding: 2px 6px;
    border-radius: 0.5rem;
}

.bg-danger-soft {
    background-color: #f9e9e6;
}

.bg-success-soft {
    background-color: #e9f9e6;
}

.empty-widget {
    display: flex;
    align-items: center;
    height: 100%;
    justify-content: center;
    color: #232323;
    margin-top: -20px;
}

.widget-home {
    min-width: 250px;
    min-height: 180px;
}


.btn {
    border-radius: 0.3rem !important;
    border-radius: 0.5rem !important;
}

.alert {
    border-radius: 0.5rem !important;
}

.alert-success {
    border: 1px solid #57c37e !important;
}

.bg-glass {
    /*background: rgba(255, 255, 255, 0.8);
    box-shadow: 0 8px 32px 0 rgba(31, 38, 135, 0.37);
    border: 1px solid rgba(255, 255, 255, 0.18);
    border-radius: 0.3rem;
    border-radius: 0.5rem;
    box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075) !important;
    */
    background-color: #f6f7ff;
    border-radius: 0.5rem;
}

.bg-glass-light {
    box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075) !important;
    /*backdrop-filter: blur(9.5px);
    -webkit-backdrop-filter: blur(9.5px);*/
    border-radius: 0.3rem;
    border-radius: 0.5rem;
    background-color: rgb(255 255 255 / 50%);
}

.btn-xs {
    color: #4285f4;
    background-color: #f8f8f8;
    padding: 5px 10px;
    border-radius: 0.5rem;
    font-size: 12px;
    display: flex;
    align-items: center;
    border: 1px solid #ececec;
    white-space: nowrap;
}

.form-control {
    border: 0 !important;
    box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075) !important;
    transition: all 0.3s;
    border-radius: 0.5rem !important;
    appearance: auto !important;
}

.form-control:disabled,
.form-control[readonly] {
    background-color: #e9ecef ! important;
}

.form-control:focus {
    background-color: rgb(255 255 255 / 100%) !important;
}

.form-control,
.multiselect.dropdown-toggle {
    background-color: rgb(255 255 255 / 65%) !important;
    height: calc(1.5em + 0.75rem + 10px) !important;
}

.multiselect.dropdown-toggle {
    padding: 0.375rem 0.75rem;
}

.pointer {
    cursor: pointer;
}

.self-center {
    align-self: center !important;
}

.site-area .navbar-toggler {
    align-self: flex-start;
    padding: 0px;
}

.logo-cert {
    width: 65px;
    border-radius: 50%;
}

.logo-alto-sx,
.logo-basso-sx {
    width: 100%;
    max-width: 200px;
    height: 100%;
    padding: 5px;
}

.logo-bottom-sx img {
    height: 81px;
    background: white;
}

.logo-consensus img {
    width: 100%;
    max-width: 200px;
    max-height: 100px;
    object-fit: cover;
    /*border-radius: 0.5rem;*/
    padding: 5px;
}

table.dataTable.compact tbody th,
table.dataTable.compact tbody td {
    padding: 4px;
}
#sidebar {
    min-width: 230px;
    max-width: 215px;
    transition: all 0.3s;
}

#sidebar.active {
    min-width: 80px;
    max-width: 80px;
    text-align: center;
}

#sidebar.active .fas {
    font-size: 20px;
}

#sidebar.active .hide-when-active {
    display: none;
}

#sidebarCollapse {
    margin-top: -7px !important;
    margin-left: -7px !important;
    margin-bottom: 20px;
}

.content {
    min-height: 100vh;
    transition: all 0.3s;
    overflow: hidden;
}

.wrapper-logout-btn {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
}

.list-group-item {
    background-color: transparent;
    display: flex;
    align-items: center;
    font-weight: 400;
    border-radius: 0.5rem !important;
    margin-bottom: 10px;
}

.list-group-item.active,
.list-group-item:hover {
    color: #4285f4 !important;
    color: #fff !important;
    background-color: #4285f4 !important;
    box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075) !important;
    border-radius: 0.5rem !important;
}

.list-group-item i {
    width: 40px;
    text-align: center;
}

.list-group-item>span {
    flex: 1;
}

.custom-control {
    position: relative;
    display: block;
    min-height: 1.5rem;
    padding-left: 1.5rem;
}

.custom-control-inline {
    display: -ms-inline-flexbox;
    display: inline-flex;
    margin-right: 1rem;
}

.custom-control-input {
    position: absolute;
    z-index: -1;
    opacity: 0;
}

.custom-control-input:checked~.custom-control-label::before {
    color: #fff;
    border-color: #007bff;
    background-color: #007bff;
}

.custom-control-input:focus~.custom-control-label::before {
    box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
}

.custom-control-input:focus:not(:checked)~.custom-control-label::before {
    border-color: #80bdff;
}

.custom-control-input:not(:disabled):active~.custom-control-label::before {
    color: #fff;
    background-color: #b3d7ff;
    border-color: #b3d7ff;
}

.custom-control-input:disabled~.custom-control-label {
    color: #6c757d;
}

.custom-control-input:disabled~.custom-control-label::before {
    background-color: #e9ecef;
}

.custom-control-label {
    position: relative;
    margin-bottom: 0;
    vertical-align: top;
}

.custom-control-label::before {
    position: absolute;
    top: 0.25rem;
    left: -1.5rem;
    display: block;
    width: 1rem;
    height: 1rem;
    pointer-events: none;
    content: "";
    background-color: #fff;
    border: #adb5bd solid 1px;
}

.custom-control-label::after {
    position: absolute;
    top: 0.25rem;
    left: -1.5rem;
    display: block;
    width: 1rem;
    height: 1rem;
    content: "";
    background: no-repeat 50% / 50% 50%;
}

.custom-checkbox .custom-control-label::before {
    border-radius: 0.25rem;
}

.custom-checkbox .custom-control-input:checked~.custom-control-label::after {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%23fff' d='M6.564.75l-3.59 3.612-1.538-1.55L0 4.26 2.974 7.25 8 2.193z'/%3e%3c/svg%3e");
}

.custom-checkbox .custom-control-input:indeterminate~.custom-control-label::before {
    border-color: #007bff;
    background-color: #007bff;
}

.custom-checkbox .custom-control-input:indeterminate~.custom-control-label::after {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 4 4'%3e%3cpath stroke='%23fff' d='M0 2h4'/%3e%3c/svg%3e");
}

.custom-checkbox .custom-control-input:disabled:checked~.custom-control-label::before {
    background-color: rgba(0, 123, 255, 0.5);
}

.custom-checkbox .custom-control-input:disabled:indeterminate~.custom-control-label::before {
    background-color: rgba(0, 123, 255, 0.5);
}

.custom-radio .custom-control-label::before {
    border-radius: 50%;
}

.custom-radio .custom-control-input:checked~.custom-control-label::after {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23fff'/%3e%3c/svg%3e");
}

.custom-radio .custom-control-input:disabled:checked~.custom-control-label::before {
    background-color: rgba(0, 123, 255, 0.5);
}

.custom-switch {
    padding-left: 2.25rem;
}

.custom-switch .custom-control-label::before {
    left: -2.25rem;
    width: 1.75rem;
    pointer-events: all;
    border-radius: 0.5rem;
}

.custom-switch .custom-control-label::after {
    top: calc(0.25rem + 2px);
    left: calc(-2.25rem + 2px);
    width: calc(1rem - 4px);
    height: calc(1rem - 4px);
    background-color: #adb5bd;
    border-radius: 0.5rem;
    transition: background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, -webkit-transform 0.15s ease-in-out;
    transition: transform 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    transition: transform 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, -webkit-transform 0.15s ease-in-out;
}

.form-control {
    display: block;
    width: 100%;
    height: calc(1.5em + 0.75rem + 2px);
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.btn-floating {
    -webkit-box-shadow: 0 5px 11px 0 rgba(0, 0, 0, .18), 0 4px 15px 0 rgba(0, 0, 0, .15);
    box-shadow: 0 5px 11px 0 rgba(0, 0, 0, .18), 0 4px 15px 0 rgba(0, 0, 0, .15);
    width: 47px;
    height: 47px;
    position: relative;
    z-index: 1;
    vertical-align: middle;
    display: inline-block;
    overflow: hidden;
    -webkit-transition: all .2s ease-in-out;
    -o-transition: all .2s ease-in-out;
    transition: all .2s ease-in-out;
    margin: 10px;
    -webkit-border-radius: 50%;
    border-radius: 50%;
    padding: 0;
    cursor: pointer;
}

.btn-floating i {
    display: inline-block;
    width: inherit;
    text-align: center;
    color: #fff;
    font-size: 1.25rem;
    line-height: 47px;
}

#sidebar .logo-user img,
.mobile .logo-user img {
    max-width: 223px;
    width: 100%;
}

#sidebar .logo-user-small img,
.mobile .logo-user-small img {
    max-width: 200px;
}

#sidebar .logo-user-extrasmall img,
.mobile .logo-user-extrasmall img {
    max-width: 130px;
}

.questions .logo-user img {
    max-width: 100%;
}

.nav-tabs {
    border-bottom: 0px;
}

.nav-tabs .nav-link {
    border-radius: 0.5rem;
    padding: 0.5rem;
}

.nav-tabs .nav-link h5 {
    margin-bottom: 0px;
}

.nav-item i {
    width: 35px;
}

.sidebar-user-info {
    max-width: min-content;
    width: 100%;
    padding: 0.75rem 1.25rem;
    text-align: center;
    font-size: 16px;
    text-transform: capitalize;
    display: flex;
    align-items: center;
}


/* START DOMANDE.BLADE.PHP */

.question {
    margin-bottom: 10px;
    color: #054986;
    font-size: 18px;
}

.question-row {
    margin-top: 20px;
    margin-bottom: 20px;
    padding-top: 15px;
    padding-bottom: 5px;
    font-weight: 400;
}

.question-row .question>p {
    display: inline-block;
}

.question-row input {
    vertical-align: text-top;
}

.question-row input[type=radio]+label {
    display: inline;
    vertical-align: middle;
}

.question-row input[type=checkbox]:checked+label,
.question-row input[type=radio]:checked+label {
    font-weight: bold;
}

.total-correct-answers {
    font-size: 12px;
    color: #4285f4;
}

.page-arrows {
    position: fixed;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
}

.go-up,
.go-down {
    cursor: pointer;
    position: relative;
    width: 35px;
    height: 35px;
    margin: 15px 0px;
    color: white;
    background-color: #4285f4;
}

.page-arrow i {
    font-size: 21px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}


/*.custom-control-label::before,
.custom-control-label::after{
  top: 0.15rem;
}*/

.custom-radio {
    width: 18px;
    height: 18px;
}

.pagination-container .pagination {
    justify-content: center;
}

.pagination {
    flex-wrap: wrap;
    align-items: center;
}

#countdown {
    display: inline-block;
    font-size: 3rem;
    padding: 5px 20px;
    background-color: black;
    color: #fff;
    border-radius: 5px;
    vertical-align: middle;
}

.img-md {
    max-height: 100px;
}


/* END DOMANDE.BLADE.PHP */


/* START LOGIN.BLADE.PHP */

.form-login {
    width: 100%;
    max-width: 350px;
    margin: auto
}

.form-login.admin form {
    background-color: rgba(255, 166, 0, 0.85);
    background-color: rgb(115 174 214 / 85%);
}

.login-warning {
    margin: -0.75rem 0px 0.75rem 0px;
    font-size: 14px;
    color: #FF5722;
}

.wrapper-video-guide video {
    max-width: 350px;
    width: 100%;
}

.sidebar-scroll {
    max-width: inherit;
    height: 96vh;
    overflow: auto;
}


/* END LOGIN.BLADE.PHP */


/* START EXPIRED.BLADE.PHP */

.box-expired {
    text-align: center;
}


/* END EXPIRED.BLADE.PHP */

.wrapper-calendar {
    height: 800px;
}

.toastui-calendar-layout.toastui-calendar-month {
    background: transparent !important;
    border-radius: 0.3rem !important;
    border-radius: 0.5rem !important;
}

.toastui-calendar-weekday-event {
    border-radius: 0.5rem !important;
    padding: 0px 5px !important;
}

/* DASHBOARD */

.border-grey {
    border: 1px solid #ced4da !important;
}

.fc .btn-primary {
    background-color: #fff !important;
    color: #444;
}

.prev-event {
    /*cursor: initial !important;*/
    opacity: 0.7;
}

.fc-time,
.fc-title {
    padding: 0 1px !important;
    white-space: normal !important;
}

.site-area .fc-toolbar .btn-group,
.site-area .fc-toolbar .fc-right,
.site-area .fc-toolbar .fc-left,
.site-area .fc .fc-toolbar>*>* {
    margin: 5px !important;
}


/* ------- */


/* COMPONENTE DAY CARD */

.card.day-card {
    max-width: 250px;
}

.card.day-card img {
    display: block;
    max-height: 100px;
    height: auto;
}

.card.day-card table td {
    font-weight: inherit !important;
}

.card-type {
    color: #fff;
    text-transform: uppercase;
    font-size: 12px;
    padding-left: 3px;
}

.day-card div.time-left {
    font-weight: bold;
    margin-top: 10px;
    font-size: 16px;
}

.card {
    height: 100%;
    background-color: #fff;
}

.custom-error {
    position: absolute;
    top: 45%;
    left: 0;
    right: 0;
    text-align: center;
    transform: translateY(-50%);
    color: #636b6f;
}

.custom-error .code {
    border-right: 2px solid;
    padding: 0 15px 0 15px;
    text-align: center;
    font-size: 26px;
}

.custom-error .message {
    font-size: 18px;
    text-align: center;
}


/* ------- */


/* result levels */

#display-result-levels {
    padding: 15px;
    display: inline-block;
    margin: 15px auto;
    max-width: 800px;
    border-radius: 5px;
}

#display-result-levels .result-value {
    font-weight: 400;
    font-size: 24px;
}

#display-result-levels .result-text {
    font-size: 20px;
    padding: 1rem 0.5rem;
}

#video-record-preview {
    height: 80px;
    max-width: 140px;
    width: 140px;
    vertical-align: middle;
}

#loading-spinner,
#loading-spinner-finish {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ffffffa6;
    z-index: 9999;
}

#loading-spinner .inside-spinner,
#loading-spinner-finish .inside-spinner {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#loading-spinner .inside-spinner .spinner-border,
#loading-spinner-finish .inside-spinner .spinner-border {
    width: 4rem;
    height: 4rem;
}

#selected-file {
    background-color: #009a3e;
    padding: 11px 10px;
    color: white;
    border-top-right-radius: 0.5rem;
    border-bottom-right-radius: 0.5rem;
}

#quiz-doc-upload {
    background: rgba(65, 133, 244, 0.2);
}

.modal-dialog .modal-content .modal-header {
    -webkit-border-top-left-radius: 0.5rem !important;
    border-top-left-radius: 0.5rem !important;
    -webkit-border-top-right-radius: 0.5rem !important;
    border-top-right-radius: 0.5rem !important;
}

.modal-footer {
    -webkit-border-bottom-left-radius: 0.5rem !important;
    border-bottom-left-radius: 0.5rem !important;
    -webkit-border-bottom-right-radius: 0.5rem !important;
    border-bottom-right-radius: 0.5rem !important;
}
/* ------- */


/* Elearning user quiz result */

.quiz-result-cell {
    width: 40px !important;
}

.question-row.template {
    border-color: #eaeaea;
}

/*
.question-row {
    border: 2px solid transparent;
    border-radius: 3px;
}
*/

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: 300;
}

a {
    text-decoration: none;
}

.question-row.wrong {
    border-color: #ff3547;
}

.question-row.correct {
    border-color: #4CAF50;
}

.question-row.partially-correct {
    border-color: #FF9800;
}

.legend {
    height: 2px;
    width: 20px;
    margin-right: 5px;
    border-radius: 41px;
    align-self: center;
}

.legend.correct {
    background-color: #4CAF50;
}

.legend.partially-correct {
    background-color: #FF9800;
}

.legend.wrong {
    background-color: #ff3547;
}

.legend.not_verified {
    background-color: #000;
}

.choice.correct {
    color: #4CAF50;
}

.choice.partially-correct {
    color: #FF9800;
}

.choice.wrong {
    color: #ff3547;
}

.webinar-message {
    display: inline-block;
    position: relative;
    left: 50%;
    transform: translateX(-50%);
    padding: 2rem;
    border-left: 4px solid #F44336;
    margin-top: 30px;
}

.privacy-block {
    border: 1px solid #e2e2e2;
    position: relative;
    margin: auto;
}

.privacy-block-inner {
    overflow: auto;
    max-height: 200px;
}

.privacy-label {
    position: absolute;
    background-color: #d4d4d4;
    padding: 0px 5px;
    font-size: 14px;
    top: -15px;
    left: 0px;
}

.privacy-checkbox {
    font-size: 20px;
}

.highlighted {
    border: 3px solid red;
}

.privacy-footer {
    position: fixed;
    bottom: 0;
}

.privacy-anchors {
    font-size: 12px;
}

.text-white .privacy-anchors a {
    color: #ffffff !important;
}

.chip {
    display: inline-block;
    height: 32px;
    padding: 0 12px;
    margin-right: 1rem;
    margin-bottom: 1rem;
    font-size: 13px;
    font-weight: 500;
    line-height: 32px;
    color: rgba(0, 0, 0, 0.6);
    cursor: pointer;
    background-color: #eceff1;
    border-radius: 16px;
    -webkit-transition: all .3s linear;
    transition: all .3s linear;
}

.chip .close {
    float: right;
    padding-left: 8px;
    font-size: 16px;
    line-height: 32px;
    cursor: pointer;
    -webkit-transition: all .1s linear;
    transition: all .1s linear;
}

.logout-survey {
    position: absolute;
    right: 0;
    top: 0;
}

.consensus-table {
    overflow: hidden;
    font-weight: 400;
    position: relative;
}

.consensus-table .table {
    position: relative;
    background: rgba(255, 255, 255, 0.8);
    width: 100% !important;
    border-collapse: separate !important;
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
    border-radius: 0.3rem;
    border-radius: 0.5rem;
    box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075) !important;
}

.table thead th {
    border-bottom: 0 !important;
}

th:last-child {
    border-top-right-radius: 0.5rem !important;
}

tr:last-child td:last-child {
    border-bottom-right-radius: 0.5rem !important;
}

.consensus-table td {
    font-weight: 400;
    position: relative;
}

.consensus-table td.details-control {
    width: 30px;
    padding-left: 0;
    padding-right: 0;
}


th:first-child {
    border-top-left-radius: 0.5rem;
}

.consensus-table .table-align-middle td {
    vertical-align: middle;
}

.consensus-table .dataTables_processing {
    position: absolute !important;
    top: 10px !important;
    bottom: 70px !important;
    left: 0 !important;
    right: 0 !important;
    opacity: 0.5;
    text-align: center !important;
    margin: 0 !important;
    padding: 0 !important;
    width: auto !important;
    height: auto;
    z-index: 2;
    box-shadow: unset !important;
    border-radius: 0.5rem;
}

.consensus-table .dataTables_processing>div {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    font-size: 25px;
}

.consensus-table .dataTables_processing>div>i {
    margin: 0px !important;
}

.consensus-table .table thead th {
    background-color: #d9e4fd;
    vertical-align: middle;
    white-space: nowrap;
}

.consensus-table .table thead th:before,
.consensus-table .table thead th:after {
    top: 50% !important;
    transform: translateY(-50%) !important;
    bottom: 3px !important;
}

.consensus-table .paginate_button.disabled {
    display: none;
}

.consensus-table .pagination .page-item .page-link:focus {
    background-color: #4285f4 !important;
    color: #fff;
}

.consensus-table tr[role=row]~tr:not([role=row]) {
    background-color: #e8e8e8;
}

.consensus-table tr[role=row]~tr:not([role=row])>td {
    padding: 0px;
}

.consensus-table .details-control::after,
.consensus-table .details-control::before,
.consensus-table .sorting-disabled::after,
.consensus-table .sorting-disabled::before {
    content: '' !important;
}

.consensus-table .details-control,
.consensus-table .sorting-disabled {
    cursor: default !important;
}

.consensus-table .tools-cell {
    text-align: center;
    vertical-align: middle;
    max-width: 250px;
}

.table-hover thead th.sorting,
.table-hover tbody tr {
    cursor: pointer;
}

.pagination .page-item.active .page-link,
.pagination .page-item .page-link:hover {
    border-radius: 10px;
}

.pagination .page-item .page-link {
    margin: 0.25rem;
    background-color: white;
    color: #000;
    border-radius: 10px;
}

.paginate_input {
    margin: 0 0 0 0.25rem;
    background-color: #ffffff9c;
}

.paginate_of {
    margin: 0 0.25rem 0 0;
}

.paginate_input,
.paginate_button .page-link {
    width: 38px;
    height: 30px;
    border-radius: 10px;
    border: 0px;
    box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
    text-align: center;
    color: black;
}

.paginate_button .page-link {
    background-color: white;
    margin: 0 0.25rem;
    padding: 6px 12px;
    cursor: pointer;
}

.page-item:last-child .page-link {
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
}

.page-item:first-child .page-link {
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
}

.paginate_page {
    display: none;
}

.fc-event-dot {
    background-color: #000 !important;
}

.fc-list-view {
    border-width: 0px !important;
}

.fc-list-heading td {
    background: #fff;
    text-transform: CAPITALIZE;
}

.fc-list-empty-wrap2 {
    top: -15px !important;
}

.fc.fc-bootstrap4 a,
.fc-list-item-time {
    color: #fff !important;
}

button.btn.btn-primary.dropdown-toggle:active,
button.btn.btn-primary.dropdown-toggle:focus {
    box-shadow: none !important;
    background-color: #4285f4 !important;
}

button.btn.btn-secondary.dropdown-toggle:active,
button.btn.btn-secondary.dropdown-toggle:focus {
    box-shadow: none !important;
    background-color: #aa66cc !important;
}

button.btn.btn-success.dropdown-toggle:active,
button.btn.btn-success.dropdown-toggle:focus {
    box-shadow: none !important;
    background-color: #00c851 !important;
}

button.btn.btn-danger.dropdown-toggle:active,
button.btn.btn-danger.dropdown-toggle:focus {
    box-shadow: none !important;
    background-color: #ff3547 !important;
}

button.btn.btn-warning.dropdown-toggle:active,
button.btn.btn-warning.dropdown-toggle:focus {
    box-shadow: none !important;
    background-color: #ffbb33 !important;
}

button.btn.btn-info.dropdown-toggle:active,
button.btn.btn-info.dropdown-toggle:focus {
    box-shadow: none !important;
    background-color: #33b5e5 !important;
}

button.btn.btn-light.dropdown-toggle:active,
button.btn.btn-light.dropdown-toggle:focus {
    box-shadow: none !important;
    background-color: #e0e0e0 !important;
}

button.btn.btn-dark.dropdown-toggle:active,
button.btn.btn-dark.dropdown-toggle:focus {
    box-shadow: none !important;
    background-color: #212121 !important;
}

button.btn.btn-link.dropdown-toggle:active,
button.btn.btn-link.dropdown-toggle:focus {
    box-shadow: none !important;
    background-color: transparent !important;
}

#customer-navbar a.active,
#customer-navbar a:hover {
    color: #4285f4 !important;
    background-color: rgba(97 156 244 / 20%) !important;
}

.customer-option {
    display: inline-block;
    width: 100%;
    max-width: 300px;
    /*max-width: 210px;
    margin: 20px;
    border: 1px solid #efefef;
    border-radius: 2px;*/
}

.customer-option img {
    /*max-width: 200px;
    max-height: 100px;*/
    padding: 5px;
}

.course-card {
    max-width: 350px;
    width: 100%;
}

.card-img-top {
    border-top-left-radius: 0.5rem;
    border-top-right-radius: 0.5rem;
}

.card-title {
    margin-bottom: 0.25rem;
}

/*
#customer-card {
    background-color: #fff;
    border-radius: 0.5rem;
    padding: 1rem;
}

.card.customer-card .card-img-top,
.card-img-top.customer {
    max-height: 100px;
    width: auto;
    max-width: 100%;
}

.card.customer-card .card-body {
    padding-bottom: 0px;
}

.card.customer-card .card-buttons {
    border-top: 1px solid #ececec;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.card.customer-card .card-buttons .btn.with-border {
    border: 1px solid #ececec;
}

.card.customer-card .card-buttons .btn {
    flex: 1;
    padding: 0.84rem 5px;
}

.card.customer-card .card-buttons .btn:hover {
    background-color: #eaeaea;
}
*/
.fa-consensus {
    padding: 0.25rem;
}

.customer-card {
    border-radius: 0.5rem;
    border: 1px solid #e7e7e7;
    background-color: #fafafa;
    width: 100%;
}

.customer-card img {
    max-width: 215px;
    max-height: 65px;
}

#customer-sections-wrapper a {
    border-radius: 0.5rem;
    border: 1px solid #ececec;
}

.text-darkgrey {
    color: #495057;
}

.widget-user-course {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    /*align-items: center;*/
}

.widget-user-course.wide > div:first-child {
    width: 100%;
}

.widget-new-documents .document {
    display: flex;
    gap: 1rem;
    padding: 1rem;
    border-radius: 0.5rem;
    border: 1px solid #ececec;
    align-items: center;

}

.widget-new-documents .document .small {
    color: #8b8c93;
}

.widget-new-documents .document .fa-file-pdf {
    font-size: 2rem;
    color: #4680b2;
}

.widget-user-course .next-activity {
    background-color: rgb(217 228 253 / 35%);
    border-radius: 0.5rem;
}

.wrapper-next-activities .next-activity {
    padding: 1rem;
    border-radius: 0.5rem;
    background-color: #e5ebf2;
}

.empty-documents {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 180px;
}

.empty-documents img {
    height: 100px;
}

.course-progress-horizontal {
    display: flex;
    flex-direction: row;
    gap: 2rem;
    align-items: center;
}

.course-wrapper {
    overflow: auto;
}

.course-wrapper .widget-user-course {
    height: 100%;
    border-right: 2px solid #eaebf2;
    border-radius: 0;
}

.course-progress {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    justify-content: center;
}

.course-progress-item {
    display: flex;
    gap: 1rem;
    align-items: center;
}

.course-progress-item-separator {
    width: 32px;
    display: flex;
    justify-content: center;
}

.course-progress-horizontal .course-progress-item-separator {
    width: 2px;
}


.course-progress-item-separator>div {
    height: 35px;
    background-color: #c2c2c2;
    width: 2px;
    border-radius: 0.5rem;
}

.course-progress-item.not-completed:not(.open):not(.stuck),
.course-progress-item.not-completed i {
    color: #c2c2c2 !important;
}

.course-progress-item.stuck,
.course-progress-item.stuck i {
    color: #ff0000 !important;
}


.course-progress-item i {
    color: #4285f4 !important;
}

.go-to-activity-btn {
    font-size: 14px;
}

.widget-user-documents {
    border-radius: 0.5rem;
    border: 1px solid #e5e5e5;
}

.privacy-block-inner::-webkit-scrollbar {
    -webkit-appearance: none;
    width: 7px;
}

.privacy-block-inner::-webkit-scrollbar-thumb {
    border-radius: 4px;
    background-color: rgba(0, 0, 0, .5);
    -webkit-box-shadow: 0 0 1px rgba(255, 255, 255, .5);
}

.consensus-event-description {
    background: white;
    color: black;
    display: inline-block;
    padding: 1px 5px 1px 5px;
    border-radius: 5px;
    font-size: 14px !important;
}

.consensus-event-description.bg-success,
.consensus-event-description.bg-danger,
.consensus-event-description.bg-danger {
    color: white !important;
}

.activityForm {
    padding: 0.5rem 1rem;
    background-color: #f7f7f7;
    border-radius: 5px;
}

.modal-fullscreen {
    height: 100% !important;
    margin: 0 !important;
    padding: 15px;
}

.modal-fullscreen .modal-content {
    min-height: 100% !important;
    height: 100% !important;
}

.modal-footer {
    border-top: 0px;
}

.modal-header {
    border-bottom: 0px;
}

#moodleiFrame {
    margin-bottom: -10px;
}

#webinarRecIFrame {
    width: 100%;
    height: -o-calc(100% - 355px);
    height: -webkit-calc(100% - 355px);
    height: -moz-calc(100% - 355px);
}

.user-training-block.active span {
    font-weight: 500;
    font-size: 1.2rem;
}

.training-path-item {
    padding: 1rem;
    border: 1px solid #ececec;
    border-radius: 0.5rem;
    display: flex;
    flex-direction: column;
    max-width: 250px;
    min-width: 250px;
    gap: 0.5rem;
    background-color: #dae4fd;
}

.training-path-info {
    margin-top: 1rem;
    display: flex;
    gap: 1rem;
    max-width: 600px;
    overflow-x: auto;
}

.training-path-item:not(:last-child) {
    border-bottom: 1px solid #ececec;
}

.webinar-item {
    max-width: 250px;
    min-width: 250px;
}

.widget-calendar-btn {
    padding: 0 !important;
    background-color: transparent !important;
    box-shadow: none;
    border: 0px;
}

.stats {
    background-color: aliceblue;
}

.user-activity {
    max-width: 400px;
    width: 100%;
    margin-right: 2rem;
}

#activitiesTabs h5 {
    font-size: 1.25rem;
}

#activitiesTabs .nav-link {
    color: #495057;
    margin: 0.25rem;
    background: transparent;
    border: 0px;
}

#activitiesTabs .nav-link.active,
#activitiesTabs .nav-link:hover {
    color: #4285f4;
}

.external-activity-label {
    width: 100%;
    background-color: #ff8300;
    font-size: 15px;
    padding: 0.15rem 0.25rem;
    color: white;
    text-transform: capitalize;
}

.powered-by {
    height: 100%;
    font-size: 10px;
    text-align: center;
    padding: 8px;
    margin: 0px 10px;
    border-radius: 0.5rem;
}

.enhanced-by-ai {
    padding: 3px;
    color: #1e384e;
    font-size: 9px;
    text-transform: capitalize;
    border-radius: 0.5rem;
}

.enhanced-by-ai span {
    font-weight: 300;
    vertical-align: middle;
}

img.ai-logo {
    height: 60px;
}

img.ai-logo-small {
    height: 12px;
}

.sidebar-menu {
    padding: 0 5px;
}

.sidebar-menu a,
.mobile.navbar .nav-item,
#activitiesTabs .nav-item {
    text-transform: capitalize;
}

.sidebar-menu a i,
.sidebar-user-info i {
    width: 40px;
    min-width: 40px;
}

#language-selector {
    max-width: fit-content;
}

#ai-answers {
    padding: 1.25rem;
    background-color: #ecf6fd;
    border-radius: 0.5rem;
    position: relative;
}

.ai-correction:not(:first-child) {
    margin-top: 2.5rem;
}

.mobile.navbar {
    background-color: rgba(97 156 244 / 20%) !important;
}

.mobile.navbar>div {
    align-items: center;
}

.mobile.navbar .nav-item:hover {
    background-color: rgba(0, 0, 0, 0.1);
}

.input-group {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex-align: stretch;
    align-items: stretch;
    width: 100%;
}

.input-group>.form-control,
.input-group>.form-control-plaintext,
.input-group>.custom-select,
.input-group>.custom-file {
    position: relative;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    width: 1%;
    margin-bottom: 0;
}

.input-group>.form-control+.form-control,
.input-group>.form-control+.custom-select,
.input-group>.form-control+.custom-file,
.input-group>.form-control-plaintext+.form-control,
.input-group>.form-control-plaintext+.custom-select,
.input-group>.form-control-plaintext+.custom-file,
.input-group>.custom-select+.form-control,
.input-group>.custom-select+.custom-select,
.input-group>.custom-select+.custom-file,
.input-group>.custom-file+.form-control,
.input-group>.custom-file+.custom-select,
.input-group>.custom-file+.custom-file {
    margin-left: -1px;
}

.input-group>.form-control:focus,
.input-group>.custom-select:focus,
.input-group>.custom-file .custom-file-input:focus~.custom-file-label {
    z-index: 3;
}

.input-group>.custom-file .custom-file-input:focus {
    z-index: 4;
}

.input-group>.form-control:not(:last-child),
.input-group>.custom-select:not(:last-child) {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

.input-group>.form-control:not(:first-child),
.input-group>.custom-select:not(:first-child) {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

.input-group>.custom-file {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
}

.input-group>.custom-file:not(:last-child) .custom-file-label,
.input-group>.custom-file:not(:last-child) .custom-file-label::after {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

.input-group>.custom-file:not(:first-child) .custom-file-label {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

.input-group-prepend,
.input-group-append {
    display: -ms-flexbox;
    display: flex;
}

.input-group-prepend .btn,
.input-group-append .btn {
    position: relative;
    z-index: 2;
}

.input-group-prepend .btn:focus,
.input-group-append .btn:focus {
    z-index: 3;
}

.input-group-prepend .btn+.btn,
.input-group-prepend .btn+.input-group-text,
.input-group-prepend .input-group-text+.input-group-text,
.input-group-prepend .input-group-text+.btn,
.input-group-append .btn+.btn,
.input-group-append .btn+.input-group-text,
.input-group-append .input-group-text+.input-group-text,
.input-group-append .input-group-text+.btn {
    margin-left: -1px;
}

.input-group-prepend {
    margin-right: -1px;
}

.input-group-append {
    margin-left: -1px;
}

.input-group-text {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    padding: 0.375rem 0.75rem;
    margin-bottom: 0;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    text-align: center;
    white-space: nowrap;
    background-color: #e9ecef;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
}

.input-group-text input[type="radio"],
.input-group-text input[type="checkbox"] {
    margin-top: 0;
}

.input-group-lg>.form-control:not(textarea),
.input-group-lg>.custom-select {
    height: calc(1.5em + 1rem + 2px);
}

.input-group-lg>.form-control,
.input-group-lg>.custom-select,
.input-group-lg>.input-group-prepend>.input-group-text,
.input-group-lg>.input-group-append>.input-group-text,
.input-group-lg>.input-group-prepend>.btn,
.input-group-lg>.input-group-append>.btn {
    padding: 0.5rem 1rem;
    font-size: 1.25rem;
    line-height: 1.5;
    border-radius: 0.3rem;
}

.input-group-sm>.form-control:not(textarea),
.input-group-sm>.custom-select {
    height: calc(1.5em + 0.5rem + 2px);
}

.input-group-sm>.form-control,
.input-group-sm>.custom-select,
.input-group-sm>.input-group-prepend>.input-group-text,
.input-group-sm>.input-group-append>.input-group-text,
.input-group-sm>.input-group-prepend>.btn,
.input-group-sm>.input-group-append>.btn {
    padding: 0.25rem 0.5rem;
    font-size: 0.875rem;
    line-height: 1.5;
    border-radius: 0.2rem;
}

.input-group-lg>.custom-select,
.input-group-sm>.custom-select {
    padding-right: 1.75rem;
}

.input-group>.input-group-prepend>.btn,
.input-group>.input-group-prepend>.input-group-text,
.input-group>.input-group-append:not(:last-child)>.btn,
.input-group>.input-group-append:not(:last-child)>.input-group-text,
.input-group>.input-group-append:last-child>.btn:not(:last-child):not(.dropdown-toggle),
.input-group>.input-group-append:last-child>.input-group-text:not(:last-child) {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

.input-group>.input-group-append>.btn,
.input-group>.input-group-append>.input-group-text,
.input-group>.input-group-prepend:not(:first-child)>.btn,
.input-group>.input-group-prepend:not(:first-child)>.input-group-text,
.input-group>.input-group-prepend:first-child>.btn:not(:first-child),
.input-group>.input-group-prepend:first-child>.input-group-text:not(:first-child) {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

.input-group-text {
    border: 0 !important;
    box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075) !important;
    border-top-right-radius: 0.5rem !important;
    border-bottom-right-radius: 0.5rem !important;
}

.input-group>.form-control:not(:last-child),
.input-group>.custom-select:not(:last-child) {
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}

.dropdown-menu {
    padding: 0;
    margin: 0;
    max-height: 400px;
    overflow-y: auto;
}

.dropdown-item:hover {
    background-color: #ededf9;
}

.modal-header .close {
    padding: 1rem 1rem;
}

button.close {
    padding: 0;
    background-color: transparent;
    border: 0;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

.close {
    float: right;
    font-size: 1.5rem;
    font-weight: 700;
    line-height: 1;
    color: #000;
    text-shadow: 0 1px 0 #fff;
    opacity: .5;
}

.global-stat-item {
    padding: 0.5rem;
    border-radius: 0.5rem;
    border: 1px solid #ececec;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.global-stat-item span {
    padding-right: 0.5rem;
    padding-bottom: 0.25rem;

}

.global-stat-item.completed span {
    border-bottom: 3px solid #28a745;
}

.global-stat-item.active span {
    border-bottom: 3px solid #ffc107;
}

.global-stat-item.hours span {
    border-bottom: 3px solid #4285f4;
}

.global-stat-item.certificates span {
    border-bottom: 3px solid #aa66cc;
}

.global-stats i {
    font-size: 26px;
}

#search-bar {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    width: 100%;
}
.next-activity-box {
    padding: 1rem;
    border-radius: 0.5rem;
}

.quiz-box {
    padding: 1rem;
    border-radius: 0.5rem;
    border: 1px solid #dae4fd;
    min-width: 350px;
    overflow-x: auto;
}

.quiz-day {
    padding: 1rem;
    border-radius: 0.5rem;
    min-width: 200px;
}

.create-activity {
    padding: 2rem;
    border: 1px solid #ececec;
    border-radius: 0.5rem;
}

.no-wrap {
    white-space: nowrap;
}
/**/

@media (min-width: 768px) {
    #course-autocomplete .dropdown-menu {
        max-width: none;
    }

    #search-bar {
        display: inline-flex;
        flex-direction: row;
        gap: 30px;
        align-items: center;
        width: 100%;
    }

    .course-wrapper .slider-container {
        overflow-x: scroll;
    }

    .course-wrapper .col-side {
        flex: 0 0 auto;
        max-width: 500px;
        align-self: stretch;
    }

    .course-wrapper .col-main {
        flex: 1 1 100%;
        width: 0;
    }

    .powered-by {
        height: auto;
    }

    .global-stat-item {
        padding: 1rem;
    }

    .wrapper-home .activities {
        flex-basis: 66%;
    }

    .wrapper-home .next-prev-activities {
        flex-basis: 32%;
    }

    #language-selector {
        max-width: 100%;
    }

    th.details-control+th:nth-child(2) {
        border-top-left-radius: 0.5rem;
    }

    tr:last-child td.details-control+td:nth-child(2) {
        border-bottom-left-radius: 0.5rem;
    }

    /* {
        border-top-left-radius: 0.3rem;
        border-top-left-radius: 20px;
    }*/
    #sidebar .fixed-container {
        position: fixed;
    }

    .sidebar-user-info {
        margin-bottom: 0.5rem;
        border-bottom: 1px solid #d6e6ff;
    }

    .questions .logo-user img {
        max-width: 250px;
        max-height: 80px;
    }
}

@media (min-width: 992px) {
    .training-path {
        min-width: 550px;
    }

    .widget-test {
        max-width: 100%;
    }

    /*.course-title {
        margin-left: -315px;
    }*/
    #webinarRecIFrame {
        width: 100%;
        height: -o-calc(100% - 200px);
        height: -webkit-calc(100% - 200px);
        height: -moz-calc(100% - 200px);
    }

    .site-area {
        display: flex;
        align-items: stretch;
        min-height: 100vh;
        width: 100%;
    }

    .questions .logo-user img {
        max-width: 315px;
    }

    .powered-by {
        font-size: 12px;
    }

    .enhanced-by-ai {
        font-size: 12px;
    }

    img.ai-logo-small {
        height: 20px;
    }
}

@media (max-width: 991px) {

    .site-area .fc-toolbar .btn-group,
    .site-area .fc-toolbar .fc-right,
    .site-area .fc-toolbar .fc-left,
    .site-area .fc .fc-toolbar>*>* {
        float: none !important;
    }

    .pagination {
        flex-wrap: wrap;
        justify-content: flex-end;
    }

    .fa-consensus {
        font-size: 1.33333em;
        line-height: .75em !important;
        vertical-align: -.0667em;
        display: block !important;
        padding: 0.5rem;
        text-align: center;
    }
}

.circle {
    width: 100px;
    position: relative;
}

.circle .value {
    position: absolute;
    top: 30px;
    left: 0;
    width: 100%;
    text-align: center;
    line-height: 40px;
    font-size: 22px;
    font-weight: 400;
}